% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/connection.R
\name{rockr.post}
\alias{rockr.post}
\title{Generic REST resource creation.}
\usage{
rockr.post(
  conn,
  ...,
  query = list(),
  body = "",
  contentType = "application/x-rscript",
  acceptType = "application/octet-stream, application/json",
  callback = NULL
)
}
\arguments{
\item{conn}{A rockr connection object.}

\item{...}{Resource path segments.}

\item{query}{Named list of query parameters.}

\item{body}{The body of the request.}

\item{contentType}{The type of the body content. Default is 'application/x-rscript'.}

\item{acceptType}{The type of the body content. Default is 'application/octet-stream, application/json', i.e. a serialized R object or an error message.}

\item{callback}{A callback function to handle the response object.}
}
\value{
The response output object.
}
\description{
Generic REST resource creation.
}
\seealso{
Other REST functions: 
\code{\link{rockr.delete}()},
\code{\link{rockr.get}()},
\code{\link{rockr.put}()}
}
\concept{REST functions}
\keyword{internal}
